// New script functions in v2.8.2 to correct slice timing based on header timing data (includes multiband sequences)
// Rainer Goebel
	
function TestTableSliceTiming()
{
	var docFMR = BrainVoyager.ActiveDocument;
	if(docFMR == undefined)
		return;

	if(docFMR.HasSliceTimeTable)
		docFMR.CorrectSliceTimingUsingTimeTable(1); // 1: cubic spline interpolation
	else
		docFMR.CorrectSliceTiming(2, 1); // 2: ascending interleaved2, 1: cubic spline interpolation
}

function TestMIA()
{
	var docFMR = BrainVoyager.ActiveDocument;
	if(docFMR == undefined)
		return;

	docFMR.AdjustMeanIntensity();
}

TestTableSliceTiming();
TestMIA();